Subject: [os2genau_digest] No. 1833
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Fri, 10 Jul 2009 00:00:29 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Thursday 09 July 2009
 Number  1833
**************************************************

Subjects for today
 
1   What a difference a clean install makes ! : Ed Durrant <edurrant at durrant dot mine dot nu>
2  Re:  What a difference a clean install makes ! : John Angelico" <talldad at kepl dot com dot au>

**= Email   1 ==========================**

Date:  Thu, 09 Jul 2009 07:12:59 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:   What a difference a clean install makes !

I have been battling to keep my corrupted eCS 2.0 RC3 partition working. 
It's had so many pieces of beta code added to it and deleted, various 
tools run on it and many, many hang-ups with the various beta code that 
had to be restarted with power off/on. It has six temporary desktops 
etc. etc.

I didn't want to move to a new install because of all the objects that I 
have set up  over the years  - everything was where I wanted and worked 
how I wanted. things like ODIN and CUPS can be awkward to set up, etc. etc.

Well last week I got a new problem, then when I tried moving or resizing 
windows the WPS would hang up. Despite going back to an archive prior to 
the problem starting, the problem stayed, so it was time to bite the 
bullet !

I have been preparing for this for some time, making sure applications 
and data are mostly not on the boot drive. I have even tried backing up 
or exporting wps objects using tools like IniTool and Object desktop, 
but neither worked - possibly due to the state of the system.

So I wiped an already installed eCS 2.0 RC6a partition and started 
fresh. It's taken sometime manually writing down the properties of my 
main wps objects from the eCS 2.0RC3 partition and then re-creating them 
on the RC6a partition but I have to tell you all, it's worth it! The 
system runs quicker, the re-action when I select anything is snappier 
and, most important, its stable again !

Definitely worth all the effort ! With the work I've done, I'm also 
better prepared to switch to eCS 2.0GA when it comes out next month.

-- 
Cheers/2

Ed

Checkout my new (WIP) eComStation Australia Podcast 
- search for eComStation at iTunes or Podcastblaster dot com or add the RSS feed http://feeds2.feedburner dot com/eComStationAustralia to Thunderbird.

Don't miss the tenth Warpstock Europe at Stralsund 12-15 November 2009 check out - http://www.warpstock.eu for details.

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Thu, 09 Jul 2009 23:18:28 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  What a difference a clean install makes !

On Thu, 09 Jul 2009 07:12:59 +1000 Ed Durrant wrote:
>
>
>
>So I wiped an already installed eCS 2.0 RC6a partition and started 
>fresh. It's taken sometime manually writing down the properties of my 
>main wps objects from the eCS 2.0RC3 partition and then re-creating them 
>on the RC6a partition 

Argh! 

Ed, if you had said that was what you had to do, I could have offered a
labour-saving device from my boys here.

They have created a small tool in Rexx using the WP Tools APIs to save
object properties in a Rexx script, and then recreate objects by replaying
the script.

It's not polished, but does the job for the author :-)

Chris says, it's mainly the concept of using WP Tools APIs to do the hard
yakka. 

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG